Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface ConnectionQueueStats

All Superinterfaces:
  Stats

public interface ConnectionQueueStats
extends Stats

See Also:
  `ConnectionQueueMonitor`

Method Summary
`CountStatistic` | `getCountOverflows()`
`CountStatistic` | `getCountQueued()`
`CountStatistic` | `getCountQueued15MinuteAverage()`
`CountStatistic` | `getCountQueued1MinuteAverage()`
`CountStatistic` | `getCountQueued5MinuteAverage()`
`CountStatistic` | `getCountTotalConnections()`
`CountStatistic` | `getCountTotalQueued()`
`StringStatistic` | `getID()`
`CountStatistic` | `getMaxQueued()`
`CountStatistic` | `getPeakQueued()`
`CountStatistic` | `getTicksTotalQueued()`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getCountTotalQueued

    public CountStatistic getCountTotalQueued()

### getCountOverflows

    public CountStatistic getCountOverflows()

### getCountTotalConnections

    public CountStatistic getCountTotalConnections()

### getCountQueued5MinuteAverage

    public CountStatistic getCountQueued5MinuteAverage()

### getTicksTotalQueued

    public CountStatistic getTicksTotalQueued()

### getCountQueued1MinuteAverage

    public CountStatistic getCountQueued1MinuteAverage()

### getCountQueued15MinuteAverage

    public CountStatistic getCountQueued15MinuteAverage()

### getMaxQueued

    public CountStatistic getMaxQueued()

### getPeakQueued

    public CountStatistic getPeakQueued()

### getID

    public StringStatistic getID()

### getCountQueued

    public CountStatistic getCountQueued()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.